Bug 10949 - RootDSE search fails with extended dn control
RootDSE search fails with extended dn control
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-20 13:28 UTC by Stefan Metzmacher
Modified: 2014-12-20 15:51 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-2-test (3.56 KB, patch)
2014-12-15 08:53 UTC, Stefan Metzmacher
gd: review+
Details
Patches for v4-1-test (3.56 KB, patch)
2014-12-15 08:54 UTC, Stefan Metzmacher
gd: review+
Details
Patches for v4-0-test (3.56 KB, patch)
2014-12-15 08:54 UTC, Stefan Metzmacher
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-11-20 13:28:04 UTC
root@ub1204-161:~# ldbsearch -U% -H ldap://172.31.9.161 -b '' -s base --extended-dn serverName
search error - LDAP error 1 LDAP_OPERATIONS_ERROR -  <00002020: operations error at ../source4/dsdb/samdb/ldb_modules/rootdse.c:567> <>

vs.

root@ub1204-161:~# ldbsearch -U% -H /var/lib/samba/private/sam.ldb -b '' -s base --extended-dn serverName
# record 1
dn: 
serverName: <GUID=348c35e1-04e3-4988-a32c-32478d584551>;CN=UB1204-161,CN=Serve
 rs,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=s4xdom,DC=base

# returned 1 records
# 1 entries
# 0 referrals
Comment 1 Stefan Metzmacher 2014-12-15 08:53:46 UTC
Created attachment 10539 [details]
Patches for v4-2-test
Comment 2 Stefan Metzmacher 2014-12-15 08:54:15 UTC
Created attachment 10540 [details]
Patches for v4-1-test
Comment 3 Stefan Metzmacher 2014-12-15 08:54:43 UTC
Created attachment 10541 [details]
Patches for v4-0-test
Comment 4 Guenther Deschner 2014-12-15 11:06:53 UTC
Comment on attachment 10539 [details]
Patches for v4-2-test

LGTM
Comment 5 Guenther Deschner 2014-12-15 11:07:05 UTC
Comment on attachment 10540 [details]
Patches for v4-1-test

LGTM
Comment 6 Guenther Deschner 2014-12-15 11:07:18 UTC
Comment on attachment 10541 [details]
Patches for v4-0-test

LGTM
Comment 7 Guenther Deschner 2014-12-15 11:08:23 UTC
Karolin, please add to 4.2, 4.1 (and 4.0?). Thanks!
Comment 8 Karolin Seeger 2014-12-15 19:46:05 UTC
Pushed to autobuild-v4-[0|1|2]-test.
Comment 9 Karolin Seeger 2014-12-20 15:51:11 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to all branches.
Closing out bug report.

Thanks!